Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.app/org.gvsig.scripting.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml
===================================================================
--- org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.app/org.gvsig.scripting.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml	(revision 1199)
+++ org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.app/org.gvsig.scripting.app.mainplugin/src/main/assembly/gvsig-plugin-package.xml	(revision 1200)
@@ -71,34 +71,6 @@
         <include>org.python:${jython.artifactId}</include>
         <include>com.github.tbekolay.jnumeric:jnumeric</include>
         
-        <!--
-        JRuby doesn't work by default on gvSIG, maybe the problems are
-        related to the PluginClassLoader or to the way JRuby sets its
-        internal classpath, so maybe setting the system property
-        "org.jruby.embed.class.path" may solve the problem.
-        See:
-        http://kenai.com/projects/jruby/pages/RedBridge#Class_Path_%28Load_Path%29
-        <include>org.jruby:jruby</include>
-        -->
-
-        <!--
-            Scala doesn't work. When try to run a scala script show the message:
-            Failed to initialize compiler: object scala in compiler mirror not found.
-            ** Note that as of 2.8 scala does not assume use of the java classpath.
-            ** For the old behavior pass -usejavacp to scala, or if using a Settings
-            ** object programmatically, settings.usejavacp.value = true.
-        
- 
-        <include>org.scala-lang:scala-dist</include>
-        <include>org.scala-lang:scala-compiler</include>
-        <include>org.scala-lang:scala-library</include>
-        <include>org.scala-lang:scala-reflect</include>
-        <include>org.scala-lang:scalap</include>
-        -->
-        <!--
-        <include>jline:jline</include>
-        -->
-
       </includes>
     </dependencySet>
 
@@ -137,26 +109,32 @@
       <outputDirectory>lib</outputDirectory>
       <includes>
         <!--
-            flexmark-java, Markdown support libreries
+            flexmark-java, Markdown support libraries
         -->        
         <include>com.vladsch.flexmark:flexmark-all</include>
         <include>com.vladsch.flexmark:flexmark</include>
         <include>com.vladsch.flexmark:flexmark-ext-abbreviation</include>
+        <include>com.vladsch.flexmark:flexmark-util</include>
+        <include>com.vladsch.flexmark:flexmark-ext-admonition</include>
         <include>com.vladsch.flexmark:flexmark-ext-anchorlink</include>
         <include>com.vladsch.flexmark:flexmark-ext-aside</include>
+        <include>com.vladsch.flexmark:flexmark-ext-attributes</include>
         <include>com.vladsch.flexmark:flexmark-ext-autolink</include>
         <include>org.nibor.autolink:autolink</include>
         <include>com.vladsch.flexmark:flexmark-ext-definition</include>
         <include>com.vladsch.flexmark:flexmark-ext-emoji</include>
+        <include>com.vladsch.flexmark:flexmark-ext-enumerated-reference</include>
         <include>com.vladsch.flexmark:flexmark-ext-escaped-character</include>
         <include>com.vladsch.flexmark:flexmark-ext-footnotes</include>
         <include>com.vladsch.flexmark:flexmark-ext-gfm-issues</include>
         <include>com.vladsch.flexmark:flexmark-ext-gfm-strikethrough</include>
-        <include>com.vladsch.flexmark:flexmark-ext-gfm-tables</include>
         <include>com.vladsch.flexmark:flexmark-ext-gfm-tasklist</include>
         <include>com.vladsch.flexmark:flexmark-ext-gfm-users</include>
+        <include>com.vladsch.flexmark:flexmark-ext-gitlab</include>
         <include>com.vladsch.flexmark:flexmark-ext-jekyll-front-matter</include>
         <include>com.vladsch.flexmark:flexmark-ext-jekyll-tag</include>
+        <include>com.vladsch.flexmark:flexmark-ext-media-tags</include>
+        <include>com.vladsch.flexmark:flexmark-ext-macros</include>
         <include>com.vladsch.flexmark:flexmark-ext-ins</include>
         <include>com.vladsch.flexmark:flexmark-ext-xwiki-macros</include>
         <include>com.vladsch.flexmark:flexmark-ext-superscript</include>
@@ -165,21 +143,35 @@
         <include>com.vladsch.flexmark:flexmark-ext-typographic</include>
         <include>com.vladsch.flexmark:flexmark-ext-wikilink</include>
         <include>com.vladsch.flexmark:flexmark-ext-yaml-front-matter</include>
-        <include>com.vladsch.flexmark:flexmark-formatter</include>
-        <include>com.vladsch.flexmark:flexmark-html-parser</include>
+        <include>com.vladsch.flexmark:flexmark-ext-youtube-embedded</include>
+        <include>com.vladsch.flexmark:flexmark-html2md-converter</include>
         <include>org.jsoup:jsoup</include>
         <include>com.vladsch.flexmark:flexmark-jira-converter</include>
         <include>com.vladsch.flexmark:flexmark-pdf-converter</include>
         <include>com.openhtmltopdf:openhtmltopdf-core</include>
         <include>com.openhtmltopdf:openhtmltopdf-pdfbox</include>
-        <include>org.apache.pdfbox:pdfbox</include>
-        <include>org.apache.pdfbox:fontbox</include>
+        <include>org.apache.pdfbox:xmpbox</include>
+        <include>de.rototor.pdfbox:graphics2d</include>
         <include>com.openhtmltopdf:openhtmltopdf-rtl-support</include>
         <include>com.ibm.icu:icu4j</include>
         <include>com.openhtmltopdf:openhtmltopdf-jsoup-dom-converter</include>
         <include>com.vladsch.flexmark:flexmark-profile-pegdown</include>
-        <include>com.vladsch.flexmark:flexmark-util</include>
-        <include>com.vladsch.flexmark:flexmark-youtrack-converter</include>        
+        <include>com.vladsch.flexmark:flexmark-util-ast</include>
+        <include>org.jetbrains:annotations</include>
+        <include>com.vladsch.flexmark:flexmark-util-builder</include>
+        <include>com.vladsch.flexmark:flexmark-util-collection</include>
+        <include>com.vladsch.flexmark:flexmark-util-data</include>
+        <include>com.vladsch.flexmark:flexmark-util-dependency</include>
+        <include>com.vladsch.flexmark:flexmark-util-format</include>
+        <include>com.vladsch.flexmark:flexmark-util-html</include>
+        <include>com.vladsch.flexmark:flexmark-util-misc</include>
+        <include>com.vladsch.flexmark:flexmark-util-options</include>
+        <include>com.vladsch.flexmark:flexmark-util-sequence</include>
+        <include>com.vladsch.flexmark:flexmark-util-visitor</include>
+        <include>com.vladsch.flexmark:flexmark-youtrack-converter</include>
+        <include>org.apache.pdfbox:pdfbox</include>
+        <include>org.apache.pdfbox:fontbox</include>
+        <include>commons-logging:commons-logging</include>
       </includes>
     </dependencySet>
     
Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.app/org.gvsig.scripting.app.mainplugin/pom.xml
===================================================================
--- org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.app/org.gvsig.scripting.app.mainplugin/pom.xml	(revision 1199)
+++ org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.app/org.gvsig.scripting.app.mainplugin/pom.xml	(revision 1200)
@@ -277,11 +277,29 @@
                 
         </dependency>
                 
+<!--        <dependency>
+            <groupId>com.vladsch.flexmark</groupId>
+            <artifactId>flexmark-all</artifactId>
+            <version>0.60.2</version>
+        </dependency>-->
         <dependency>
             <groupId>com.vladsch.flexmark</groupId>
             <artifactId>flexmark-all</artifactId>
-            <version>0.27.0</version>
+            <version>0.60.2</version>
+            <scope>runtime</scope>
         </dependency>
+        <dependency>
+          <groupId>org.apache.pdfbox</groupId>
+          <artifactId>pdfbox</artifactId>
+          <version>2.0.16</version>
+          <scope>runtime</scope>
+        </dependency>
+        <dependency>
+          <groupId>org.apache.pdfbox</groupId>
+          <artifactId>fontbox</artifactId>
+          <version>2.0.16</version>
+          <scope>runtime</scope>
+        </dependency>
 
     </dependencies>
 
Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/msi-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/msi-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/ai-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/ai-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/rtf-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/rtf-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/mp3-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/mp3-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/xml-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/xml-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/tex-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/tex-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/ra-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/ra-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/ppt-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/ppt-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/gif-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/gif-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/doc-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/doc-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/dmg-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/dmg-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/rm-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/rm-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/txt-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/txt-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/ram-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/ram-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/log-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/log-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/dwg-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/dwg-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/png-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/png-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/f-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/f-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/py-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/py-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/mpeg-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/mpeg-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/tiff-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/tiff-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/3gp-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/3gp-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/deb-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/deb-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/ogv-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/ogv-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/csv-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/csv-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/3g2-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/3g2-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/wav-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/wav-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/docx-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/docx-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/rpm-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/rpm-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/md-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/md-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/pps-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/pps-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/xls-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/xls-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/m4v-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/m4v-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/oga-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/oga-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/wmv-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/wmv-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/pdf-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/pdf-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/ico-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/ico-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/indd-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/indd-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/dwf-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/dwf-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/m4a-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/m4a-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/mpg-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/mpg-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/qt-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/qt-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/tar-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/tar-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/pub-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/pub-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/eps-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/eps-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/key-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/key-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/iso-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/iso-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/epub-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/epub-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/ttf-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/ttf-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/f90-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/f90-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/zip-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/zip-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/tgz-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/tgz-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/flac-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/flac-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/asf-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/asf-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/air-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/air-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/sty-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/sty-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/jpg-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/jpg-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/odp-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/odp-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/jpeg-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/jpeg-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/odt-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/odt-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/ppsx-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/ppsx-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/pptx-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/pptx-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/info-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/info-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/bib-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/bib-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/mkv-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/mkv-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/skp-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/skp-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/xlsx-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/xlsx-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/sql-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/sql-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/mp4-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/mp4-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/xpi-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/xpi-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/mov-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/mov-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/f77-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/f77-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/djvu-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/djvu-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/spx-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/spx-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/ogg-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/ogg-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/avi-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/avi-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/gz-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/gz-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/cls-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/cls-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/exe-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/exe-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/midi-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/midi-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/rar-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/rar-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/ods-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/ods-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/vob-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/vob-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/psd-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/psd-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/rv-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/rv-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/flv-icon-16x16.png
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream

Property changes on: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/resources/org/gvsig/scripting/images/16x16/extensions/flv-icon-16x16.png
___________________________________________________________________
Added: svn:mime-type
   + application/octet-stream

Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/java/org/gvsig/scripting/swing/impl/syntaxhighlight/JRSyntaxTextArea.java
===================================================================
--- org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/java/org/gvsig/scripting/swing/impl/syntaxhighlight/JRSyntaxTextArea.java	(revision 1199)
+++ org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/java/org/gvsig/scripting/swing/impl/syntaxhighlight/JRSyntaxTextArea.java	(revision 1200)
@@ -6,7 +6,6 @@
 import java.awt.Container;
 import java.awt.Cursor;
 import java.awt.Dimension;
-import java.awt.Graphics;
 import java.awt.Point;
 import java.awt.Rectangle;
 import java.awt.event.ActionEvent;
@@ -16,7 +15,6 @@
 import java.awt.event.KeyListener;
 import java.awt.event.MouseAdapter;
 import java.awt.event.MouseEvent;
-import java.awt.event.MouseListener;
 import java.net.URL;
 import java.util.ArrayList;
 import java.util.Arrays;
@@ -61,12 +59,12 @@
 
 import org.fife.ui.rsyntaxtextarea.RSyntaxTextArea;
 import org.fife.ui.rsyntaxtextarea.SyntaxConstants;
+import org.fife.ui.rsyntaxtextarea.TokenMakerFactory;
 import org.fife.ui.rtextarea.GutterIconInfo;
 import org.fife.ui.rtextarea.RTextScrollPane;
 import org.fife.ui.rtextarea.SearchContext;
 import org.fife.ui.rtextarea.SearchEngine;
 import org.fife.ui.rtextarea.SearchResult;
-import org.gvsig.scripting.ScriptingLocator;
 import org.gvsig.scripting.swing.api.ScriptingSwingLocator;
 import org.gvsig.scripting.swing.api.ScriptingUIManager;
 import org.gvsig.scripting.swing.api.SyntaxtHighlightTextComponent;
@@ -559,7 +557,19 @@
     }
 
     public void setContentType(String contentType) {
-        this.textArea.setSyntaxEditingStyle(this.normalizeContentType(contentType));
+        TokenMakerFactory factory = TokenMakerFactory.getDefaultInstance();
+        Set<String> mimetypes = factory.keySet();
+        String mimetype = this.normalizeContentType(contentType);
+        if( !mimetypes.contains(mimetype)) {
+          mimetype = mimetype.replace("-source", "");
+          if( !mimetypes.contains(mimetype)) {
+            mimetype = mimetype.replace("/x-", "/");
+            if( !mimetypes.contains(mimetype)) {
+              mimetype = this.normalizeContentType(contentType);
+            }
+          }
+        }
+        this.textArea.setSyntaxEditingStyle(mimetype);
     }
 
     public JScrollPane getJScrollPane() {
Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/java/org/gvsig/scripting/swing/impl/DefaultJScriptingBrowser.java
===================================================================
--- org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/java/org/gvsig/scripting/swing/impl/DefaultJScriptingBrowser.java	(revision 1199)
+++ org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/java/org/gvsig/scripting/swing/impl/DefaultJScriptingBrowser.java	(revision 1200)
@@ -9,6 +9,7 @@
 import java.awt.event.KeyEvent;
 import java.awt.event.MouseEvent;
 import java.awt.event.MouseListener;
+import java.net.URL;
 import java.util.ArrayList;
 import java.util.Enumeration;
 import java.util.HashMap;
@@ -34,6 +35,8 @@
 import javax.swing.tree.TreeModel;
 import javax.swing.tree.TreePath;
 import javax.swing.tree.TreeSelectionModel;
+import org.apache.commons.io.FilenameUtils;
+import org.gvsig.scripting.ScriptingExternalFile;
 
 import org.gvsig.scripting.ScriptingFolder;
 import org.gvsig.scripting.ScriptingManager;
@@ -428,10 +431,28 @@
         }
 
         private ImageIcon getExpandedIcon(ScriptingUnit unit) {
+            if( unit instanceof ScriptingExternalFile) {
+              ScriptingExternalFile extfile = (ScriptingExternalFile) unit;
+              String ext = FilenameUtils.getExtension(extfile.getExternalFile().getName());
+              ClassLoader loader = this.getClass().getClassLoader();
+              URL res = loader.getResource("org/gvsig/scripting/i18n/images/16x16/extensions/"+ext+"-icon-16x16.png");
+              if( res!=null ) {
+                return new ImageIcon(res);
+              }
+            }
             return getIcon(unit.getIconNames()[1]);
         }
 
         private ImageIcon getCollapsedIcon(ScriptingUnit unit) {
+            if( unit instanceof ScriptingExternalFile) {
+              ScriptingExternalFile extfile = (ScriptingExternalFile) unit;
+              String ext = FilenameUtils.getExtension(extfile.getExternalFile().getName());
+              ClassLoader loader = this.getClass().getClassLoader();
+              URL res = loader.getResource("org/gvsig/scripting/images/16x16/extensions/"+ext+"-icon-16x16.png");
+              if( res!=null ) {
+                return new ImageIcon(res);
+              }
+            }
             return getIcon(unit.getIconNames()[0]);
         }
 
Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/java/org/gvsig/scripting/swing/impl/composer/DefaultJScriptingComposer.java
===================================================================
--- org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/java/org/gvsig/scripting/swing/impl/composer/DefaultJScriptingComposer.java	(revision 1199)
+++ org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.impl/src/main/java/org/gvsig/scripting/swing/impl/composer/DefaultJScriptingComposer.java	(revision 1200)
@@ -36,6 +36,7 @@
 import javax.swing.JMenuItem;
 import javax.swing.JOptionPane;
 import javax.swing.JPanel;
+import javax.swing.JPopupMenu;
 import javax.swing.JScrollPane;
 import javax.swing.JSplitPane;
 import javax.swing.JTabbedPane;
@@ -114,6 +115,7 @@
 import org.slf4j.Logger;
 import org.slf4j.LoggerFactory;
 
+@SuppressWarnings("UseSpecificCatch")
 public class DefaultJScriptingComposer extends JPanel implements JScriptingComposer, Observer, ActionListener {
 
     /**
@@ -724,7 +726,7 @@
         @Override
         public void actionPerformed(ActionEvent e) {
             try {
-                ScriptingUnit selectedItem = getLauncherSelectedScript();
+                ScriptingUnit selectedItem = getLauncherSelectedUnit();
                 if( uimanager.hasEditor(selectedItem) ) {
                     scriptEdit(selectedItem);
                 }
@@ -768,7 +770,7 @@
         @Override
         public void actionPerformed(ActionEvent e) {
             try {
-                scriptRename(getLauncherSelectedScript());
+                scriptRename(getLauncherSelectedUnit());
             } catch (Exception e1) {
                 LOGGER.warn("Can't rename document", e1);
             }
@@ -790,7 +792,7 @@
         @Override
         public void actionPerformed(ActionEvent e) {
             try {
-                scriptMove(getLauncherSelectedScript());
+                scriptMove(getLauncherSelectedUnit());
             } catch (Exception e1) {
                 LOGGER.warn("Can't move document", e1);
             }
@@ -812,7 +814,7 @@
         @Override
         public void actionPerformed(ActionEvent e) {
             try {
-                scriptDelete(getLauncherSelectedScript(), false);
+                scriptDelete(getLauncherSelectedUnit(), false);
             } catch (Exception e1) {
                 LOGGER.warn("Can't delete document", e1);
             }
@@ -1300,12 +1302,29 @@
      *
      * @return Selected ScriptingUnit on the tree
      */
-    private ScriptingUnit getLauncherSelectedScript() {
+    public ScriptingUnit getLauncherSelectedUnit() {
         JScriptingBrowser browser = this.getCurrentBrowser();
         ScriptingUnit unit = browser.getSelectedNode();
         return unit;
     }
     
+    public void msgbox(String title, String msg) {
+      msgbox(title, msg, JOptionPane.INFORMATION_MESSAGE);
+    }
+    
+    public void msgbox(final String title, final String msg, final int type) {
+      if( SwingUtilities.isEventDispatchThread() ) {
+        try {
+          SwingUtilities.invokeAndWait(() -> {
+            msgbox(title, msg, type);
+          });
+        } catch (Exception ex) {
+        }
+        return;
+      }
+      JOptionPane.showMessageDialog(this, msg, title, type);
+    }
+    
     private JScriptingBrowser getCurrentBrowser() {
         JScriptingLauncher launcher = this.getProjects();
         JScriptingBrowser browser = launcher.getSelectedBrowser();
@@ -1964,6 +1983,7 @@
             private boolean changed = false;
             private final Font fontNormal;
             private final Font fontBold;
+            private JPopupMenu popup;
 
             @SuppressWarnings("OverridableMethodCallInConstructor")
             public TabTitleComponent(String title, final ActionListener onclose) {
@@ -1997,6 +2017,21 @@
                 this.setLayout(new BorderLayout());
                 this.add(this.label, BorderLayout.CENTER);
                 this.add(this.button, BorderLayout.EAST);
+                
+                this.popup = null;
+                this.label.addMouseListener(new MouseAdapter() {
+                  @Override
+                  public void mouseClicked(MouseEvent e) {
+                    if( e.isPopupTrigger() || e.getButton()==MouseEvent.BUTTON3) {
+                      if( popup!=null ) {
+                        popup.show(e.getComponent(), e.getX(), e.getY());
+                      }
+                    } else {
+                      int index = indexOfTabComponent(TabTitleComponent.this);
+                      setSelectedIndex(index);
+                    }
+                  }
+                });
             }
 
             public void setTitle(String title) {
@@ -2019,6 +2054,13 @@
             public boolean isChanged() {
                 return this.changed;
             }
+            
+            @Override
+            public void setComponentPopupMenu(final JPopupMenu popup) {
+              // Asignarle un popup menu consume los eventos y no cambia de pestaña.
+              // this.label.setComponentPopupMenu(popup);
+              this.popup = popup;
+            }
         }
 
         public JTabbedPaneClosable(ScriptingUIManager uimanager) {
@@ -2032,7 +2074,7 @@
             TabTitleComponent title = (TabTitleComponent) this.getTabComponentAt(index);
             if (title == null) {
                 return null;
-            }
+            } 
             return title.getTitle();
         }
 
@@ -2045,7 +2087,7 @@
         @Override
         public void addTab(String title, java.awt.Component component) {
             super.addTab(null, component);
-            int index = getTabCount() - 1;
+            final int index = getTabCount() - 1;
             TabTitleComponent tabcomponent = new TabTitleComponent(title, new ActionListener() {
 
                 @Override
@@ -2429,6 +2471,22 @@
             public void select() {
                 DefaultDock.this.select(this.getId());
             }
+
+            @Override
+            public void moveto(String position) {
+              switch(position) {
+                case Dock.DOCK_LEFT:
+                  add(this.getId(), this.getTitle(), this.getComponent(), Dock.DOCK_LEFT);
+                  break;
+                case Dock.DOCK_CENTER:
+                  add(this.getId(), this.getTitle(), this.getComponent(), Dock.DOCK_CENTER);
+                  break;
+                case Dock.DOCK_BOTTOM:
+                default:
+                  add(this.getId(), this.getTitle(), this.getComponent(), Dock.DOCK_BOTTOM);
+                  break;
+              }
+            }
         }
 
         private final Map<String, Dock.DockedPanel> panels;
@@ -2610,8 +2668,30 @@
             panel = new DefaultDockedPanel(id, title, component, align);
             this.panels.put(id, panel);
             tabbedPanel.add(panel.getTitle(), panel.getComponent().asJComponent());
+            JComponent tabComponent = (JComponent) tabbedPanel.getTabComponentAt(tabbedPanel.getTabCount()-1);
+            tabComponent.setComponentPopupMenu(this.createDefaultComponentPopupMenu(panel));
             return panel;
         }
+        
+        private JPopupMenu createDefaultComponentPopupMenu(DockedPanel panel) {
+          JPopupMenu menu = new JPopupMenu();
+          menu.add(createMenuItem("Move to left", (ActionEvent e) -> {
+            panel.moveto(Dock.DOCK_LEFT);
+          }));
+          menu.add(createMenuItem("Move to bottom", (ActionEvent e) -> {
+            panel.moveto(Dock.DOCK_BOTTOM);
+          }));
+          menu.add(createMenuItem("Move to center", (ActionEvent e) -> {
+            panel.moveto(Dock.DOCK_CENTER);
+          }));
+          return menu;
+        }
+        
+        private JMenuItem createMenuItem(String text, ActionListener listener) {
+          JMenuItem item = new JMenuItem(text);
+          item.addActionListener(listener);
+          return item;
+        }
 
         @Override
         public void remove(String id) {
Index: org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.api/src/main/java/org/gvsig/scripting/swing/api/JScriptingComposer.java
===================================================================
--- org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.api/src/main/java/org/gvsig/scripting/swing/api/JScriptingComposer.java	(revision 1199)
+++ org.gvsig.scripting/trunk/org.gvsig.scripting/org.gvsig.scripting.swing/org.gvsig.scripting.swing.api/src/main/java/org/gvsig/scripting/swing/api/JScriptingComposer.java	(revision 1200)
@@ -42,12 +42,13 @@
             public void setModified(boolean modified);
             public void remove();
             public void select();
+            public void moveto(String position);
         }
-        public DockedPanel add(String id, String title, Component compnent, String align);
+        public DockedPanel add(String id, String title, Component compnent, String position);
         public void remove(String id);
         public DockedPanel get(String id);
         public void select(String id);
-        public DockedPanel getSelected(String align);
+        public DockedPanel getSelected(String position);
         public void setModified(DockedPanel panel, boolean modified);
         public boolean getModified(DockedPanel panel);
         public void addCloseListener(ActionListener listener);
